{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
    "identifier": "rc:cannon"
    },

    "tags": [ "crafting_table" ],
    "pattern": [
      " D ",
      "HDH",
      "ABA"
    ],
    "key": {
      "D": {
        "item": "minecraft:iron_block"
      },
      "H": {
        "item": "minecraft:log"
      },
      "A": {
        "item": "minecraft:smooth_stone"
      },
      "B": {
        "item": "minecraft:dispenser"
      }
    },
    "result": [{
      "item": "rc:cannon",
      "count": 1
    }]
  }
}
